/****************************************************************************
 ** Modern Linbo GUI
 ** Copyright (C) 2020  Dorian Zedler <dorian@itsblue.de>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU Affero General Public License as published
 ** by the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU Affero General Public License for more details.
 **
 ** You should have received a copy of the GNU Affero General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef LINBOIMAGE_H
#define LINBOIMAGE_H

#include <QObject>

class LinboImage : public QObject
{
    Q_OBJECT
public:
    friend class LinboBackend;

    const QString& getDescription() const {return this->description;}
    const QString& getName() const {return this->name;}

protected:
    explicit LinboImage(QString name, QObject *parent = nullptr);

    void setDescription (const QString& description) {this->description = description;}
    void setName(const QString& name) {this->name = name;}

private:
  QString name,
    description;


};

#endif // LINBOIMAGE_H
